Author Topic: debian 10 packages  (Read 799 times)

cc08

  • Newbie
  • *
  • Posts: 26
    • View Profile
debian 10 packages
« on: December 19, 2019, 05:35:37 PM »
I make new installation on debian 10. Command ./configure showed next:
Code: [Select]
checking for AMR-NB in /usr... no
checking for usable spandsp in /usr/local/include... no
checking for OpenSSL using pkg-config... no

Installed debian packages, 
Code: [Select]
libopencore-amrnb-dev
libopencore-amrnb0
libopencore-amrwb-dev
libopencore-amrwb0
libspandsp-dev
libspandsp2
not visible for the configurator.

Openssl-dev generally absent.

Does this mean that these modules should be installed from source?

Ioana Stanciu

  • Jr. Member
  • **
  • Posts: 79
    • View Profile
Re: debian 10 packages
« Reply #1 on: December 20, 2019, 02:52:52 AM »
Look at the options of the configure script of YATE.
--with-amrnb=
--with-amrwb=
--with-spandsp=

If it's not detected by default, and the devel packages are installed, you can try to pass the directory where the files of the devel package were installed.

I don't understand what you mean by
Quote
Openssl-dev generally absent.

If it's installed and not detected, you can try the same option as above.
If you can't find the devel package for OpenSSL, please note that the name of the development package for OpenSSL on Debian is libssl-dev ( https://packages.debian.org/buster/libssl-dev) . If you can't find it like this, then yes, you might need to install it from source with the note that you could ignore the building of these modules if you don't need them.

cc08

  • Newbie
  • *
  • Posts: 26
    • View Profile
Re: debian 10 packages
« Reply #2 on: December 20, 2019, 07:02:04 AM »
Ioana, thanks for the help with libssl.

Also besides this package, need a 'pkg-config' that by default in Debian10 is not installed.

For spandsp the parameter approached '--with-spandsp=/usr/include/x86_64-linux-gnu', compiled fine, but I have not tested working capacity yet.

But with the package 'amrnb' I didn’t succeed. In the `libopencore-amrwb-dev ` that comes with Debian, there are no files (interf_rom.h libamrnb.so) that are looking for a configuration script.

Advise, please, how to connect amrnb.


Ioana Stanciu

  • Jr. Member
  • **
  • Posts: 79
    • View Profile
Re: debian 10 packages
« Reply #3 on: December 20, 2019, 07:30:04 AM »
The AMR codecs modules are based a a library that for licensing reasons is not distributed.
If you really need the modules, you could try to modify the configure script to seach for the files installed by the libopencore. But I can't guarantee it will work.
If you dont need them, just ignore the configure message. Yate will compile regardless.

cc08

  • Newbie
  • *
  • Posts: 26
    • View Profile
Re: debian 10 packages
« Reply #4 on: December 20, 2019, 07:38:55 AM »
I don’t know about the license, but somewhere I had the source which worked with Yate4 yet. Will have to put out of them.

Thanks.